name: ghc
version: 8.2.1
id: ghc-8.2.1
key: ghc-8.2.1
license: BSD3
maintainer: glasgow-haskell-users@haskell.org
homepage: http://www.haskell.org/ghc/
synopsis: The GHC API
description:
    GHC's functionality can be useful for more things than just
    compiling Haskell programs. Important use cases are programs
    that analyse (and perhaps transform) Haskell code. Others
    include loading Haskell code dynamically in a GHCi-like manner.
    For this reason, a lot of GHC's functionality is made available
    through this package.
category: Development
author: The GHC Team
exposed: False
indefinite: False
exposed-modules:
    Annotations, ApiAnnotation, AsmCodeGen, Avail, Bag, BasicTypes,
    BinFingerprint, BinIface, Binary, Bitmap, BkpSyn, BlockId,
    BooleanFormula, BufWrite, BuildTyCl, ByteCodeAsm, ByteCodeGen,
    ByteCodeInstr, ByteCodeItbls, ByteCodeLink, ByteCodeTypes, CLabel,
    CPrim, CSE, CallArity, CgUtils, Check, Class, CmdLineParser, Cmm,
    CmmBuildInfoTables, CmmCallConv, CmmCommonBlockElim,
    CmmContFlowOpt, CmmExpr, CmmImplementSwitchPlans, CmmInfo,
    CmmLayoutStack, CmmLex, CmmLint, CmmLive, CmmMachOp, CmmMonad,
    CmmNode, CmmOpt, CmmParse, CmmPipeline, CmmProcPoint, CmmSink,
    CmmSwitch, CmmType, CmmUtils, CoAxiom, CodeGen.Platform,
    CodeGen.Platform.ARM, CodeGen.Platform.ARM64,
    CodeGen.Platform.NoRegs, CodeGen.Platform.PPC,
    CodeGen.Platform.PPC_Darwin, CodeGen.Platform.SPARC,
    CodeGen.Platform.X86, CodeGen.Platform.X86_64, CodeOutput,
    Coercion, ConLike, Config, Constants, Convert, CoreArity, CoreFVs,
    CoreLint, CoreMonad, CoreOpt, CorePrep, CoreSeq, CoreStats,
    CoreSubst, CoreSyn, CoreTidy, CoreToStg, CoreUnfold, CoreUtils,
    CostCentre, Coverage, Ctype, DataCon, Debug, Debugger,
    DebuggerUtils, Demand, Desugar, Digraph, DmdAnal, DriverBkp,
    DriverMkDepend, DriverPhases, DriverPipeline, DsArrows, DsBinds,
    DsCCall, DsExpr, DsForeign, DsGRHSs, DsListComp, DsMeta, DsMonad,
    DsUsage, DsUtils, Dwarf, Dwarf.Constants, Dwarf.Types, DynFlags,
    DynamicLoading, Elf, Encoding, ErrUtils, Exception, FV, FamInst,
    FamInstEnv, FastFunctions, FastMutInt, FastString, FastStringEnv,
    FieldLabel, Finder, Fingerprint, FiniteMap, FlagChecker, FloatIn,
    FloatOut, ForeignCall, Format, FunDeps, GHC, GHCi, GhcMake,
    GhcMonad, GhcPlugins, GraphBase, GraphColor, GraphOps, GraphPpr,
    HaddockUtils, HeaderInfo, Hooks, Hoopl, Hoopl.Dataflow, HsBinds,
    HsDecls, HsDoc, HsDumpAst, HsExpr, HsImpExp, HsLit, HsPat, HsSyn,
    HsTypes, HsUtils, HscMain, HscStats, HscTypes, IOEnv, Id, IdInfo,
    IfaceEnv, IfaceSyn, IfaceType, Inst, InstEnv, Instruction,
    InteractiveEval, InteractiveEvalTypes, Json, Kind, KnownUniques,
    Lexeme, Lexer, LiberateCase, Linker, ListSetOps, ListT, Literal,
    Llvm, Llvm.AbsSyn, Llvm.MetaData, Llvm.PpLlvm, Llvm.Types,
    LlvmCodeGen, LlvmCodeGen.Base, LlvmCodeGen.CodeGen,
    LlvmCodeGen.Data, LlvmCodeGen.Ppr, LlvmCodeGen.Regs, LlvmMangler,
    LoadIface, Match, MatchCon, MatchLit, Maybes, MkCore, MkGraph,
    MkId, MkIface, Module, MonadUtils, NCGMonad, Name, NameCache,
    NameEnv, NameSet, NameShape, OccName, OccurAnal, OptCoercion,
    OrdList, Outputable, PIC, PPC.CodeGen, PPC.Cond, PPC.Instr,
    PPC.Ppr, PPC.RegInfo, PPC.Regs, PackageConfig, Packages, Pair,
    Panic, Parser, PatSyn, PipelineMonad, PlaceHolder, Platform,
    PlatformConstants, Plugins, PmExpr, PprBase, PprC, PprCmm,
    PprCmmDecl, PprCmmExpr, PprColour, PprCore, PprTyThing, PrelInfo,
    PrelNames, PrelRules, Pretty, PrimOp, ProfInit, RdrHsSyn, RdrName,
    Reg, RegAlloc.Graph.ArchBase, RegAlloc.Graph.ArchX86,
    RegAlloc.Graph.Coalesce, RegAlloc.Graph.Main, RegAlloc.Graph.Spill,
    RegAlloc.Graph.SpillClean, RegAlloc.Graph.SpillCost,
    RegAlloc.Graph.Stats, RegAlloc.Graph.TrivColorable,
    RegAlloc.Linear.Base, RegAlloc.Linear.FreeRegs,
    RegAlloc.Linear.JoinToTargets, RegAlloc.Linear.Main,
    RegAlloc.Linear.PPC.FreeRegs, RegAlloc.Linear.SPARC.FreeRegs,
    RegAlloc.Linear.StackMap, RegAlloc.Linear.State,
    RegAlloc.Linear.Stats, RegAlloc.Linear.X86.FreeRegs,
    RegAlloc.Linear.X86_64.FreeRegs, RegAlloc.Liveness, RegClass,
    RepType, RnBinds, RnEnv, RnExpr, RnHsDoc, RnModIface, RnNames,
    RnPat, RnSource, RnSplice, RnTypes, RtClosureInspect, Rules, SAT,
    SCCfinal, SMRep, SPARC.AddrMode, SPARC.Base, SPARC.CodeGen,
    SPARC.CodeGen.Amode, SPARC.CodeGen.Base, SPARC.CodeGen.CondCode,
    SPARC.CodeGen.Expand, SPARC.CodeGen.Gen32, SPARC.CodeGen.Gen64,
    SPARC.CodeGen.Sanity, SPARC.Cond, SPARC.Imm, SPARC.Instr,
    SPARC.Ppr, SPARC.Regs, SPARC.ShortcutJump, SPARC.Stack,
    Serialized from ghc-boot-8.2.1:GHC.Serialized, SetLevels,
    SimplCore, SimplEnv, SimplMonad, SimplStg, SimplUtils, Simplify,
    SpecConstr, Specialise, SrcLoc, State, StaticPtrTable, StgCmm,
    StgCmmArgRep, StgCmmBind, StgCmmClosure, StgCmmCon, StgCmmEnv,
    StgCmmExpr, StgCmmExtCode, StgCmmForeign, StgCmmHeap, StgCmmHpc,
    StgCmmLayout, StgCmmMonad, StgCmmPrim, StgCmmProf, StgCmmTicky,
    StgCmmUtils, StgCse, StgLint, StgStats, StgSyn, Stream,
    StringBuffer, SysTools, SysTools.Terminal, THNames, TargetReg,
    TcAnnotations, TcArrows, TcBackpack, TcBinds, TcCanonical,
    TcClassDcl, TcDefaults, TcDeriv, TcDerivInfer, TcDerivUtils, TcEnv,
    TcErrors, TcEvidence, TcExpr, TcFlatten, TcForeign, TcGenDeriv,
    TcGenFunctor, TcGenGenerics, TcHsSyn, TcHsType, TcIface,
    TcInstDcls, TcInteract, TcMType, TcMatches, TcPat, TcPatSyn,
    TcPluginM, TcRnDriver, TcRnExports, TcRnMonad, TcRnTypes, TcRules,
    TcSMonad, TcSigs, TcSimplify, TcSplice, TcTyClsDecls, TcTyDecls,
    TcType, TcTypeNats, TcTypeable, TcUnify, TcValidity, TidyPgm,
    TmOracle, ToIface, TrieMap, TyCoRep, TyCon, Type, TysPrim,
    TysWiredIn, UnVarGraph, UnariseStg, Unify, UniqDFM, UniqDSet,
    UniqFM, UniqSet, UniqSupply, Unique, Util, Var, VarEnv, VarSet,
    Vectorise, Vectorise.Builtins, Vectorise.Builtins.Base,
    Vectorise.Builtins.Initialise, Vectorise.Convert, Vectorise.Env,
    Vectorise.Exp, Vectorise.Generic.Description,
    Vectorise.Generic.PADict, Vectorise.Generic.PAMethods,
    Vectorise.Generic.PData, Vectorise.Monad, Vectorise.Monad.Base,
    Vectorise.Monad.Global, Vectorise.Monad.InstEnv,
    Vectorise.Monad.Local, Vectorise.Monad.Naming,
    Vectorise.Type.Classify, Vectorise.Type.Env,
    Vectorise.Type.TyConDecl, Vectorise.Type.Type, Vectorise.Utils,
    Vectorise.Utils.Base, Vectorise.Utils.Closure,
    Vectorise.Utils.Hoisting, Vectorise.Utils.PADict,
    Vectorise.Utils.Poly, Vectorise.Var, Vectorise.Vect, WorkWrap,
    WwLib, X86.CodeGen, X86.Cond, X86.Instr, X86.Ppr, X86.RegInfo,
    X86.Regs
abi: d7763332c13b50f139523c2e03ca393f
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/ghc-8.2.1
library-dirs: /usr/lib/ghc-8.2.1/ghc-8.2.1
dynamic-library-dirs: /usr/lib/ghc-8.2.1/ghc-8.2.1
data-dir: /usr/share/arm-linux-ghc-8.2.1/ghc-8.2.1
hs-libraries: HSghc-8.2.1
include-dirs: /usr/lib/libffi-3.2.1/include
              /usr/lib/ghc-8.2.1/ghc-8.2.1/include
depends:
    base-4.10.0.0 deepseq-1.4.3.0 directory-1.3.0.2 process-1.6.1.0
    bytestring-0.10.8.2 binary-0.8.5.1 time-1.8.0.2 containers-0.5.10.2
    array-0.5.2.0 filepath-1.4.1.2 template-haskell-2.12.0.0
    hpc-0.6.0.3 transformers-0.5.2.0 ghc-boot-8.2.1 ghc-boot-th-8.2.1
    ghci-8.2.1 hoopl-3.10.2.2 unix-2.7.2.2 terminfo-0.4.1.0
abi-depends: base-4.10.0.0=32d562aa6d04d35ac79a0f49c17325ff
             deepseq-1.4.3.0=15f2832424b38ea5b23f1ebc9071dcc3
             directory-1.3.0.2=f0be8e5bd351f97ab9c9e693d2eba4ad
             process-1.6.1.0=b3854816fc29ad3caa05e87ab6680404
             bytestring-0.10.8.2=4f0c9618a8f04261f970de9708e01603
             binary-0.8.5.1=230c80b11ae3b1af831989b945ccdad4
             time-1.8.0.2=3f789f9c9fc88790a10579b55c2f0b4f
             containers-0.5.10.2=e086202b65ca66a107fcba9d846fc3e0
             array-0.5.2.0=5abf025fb7bf60079ec1f42bab285152
             filepath-1.4.1.2=30ad74f2069d36b2d0af3972630d4ac4
             template-haskell-2.12.0.0=612ee923b47f5e11502cef08338c9f82
             hpc-0.6.0.3=9f6ee1465a37bbd88f5b44656d079a48
             transformers-0.5.2.0=9705988bf0172d3bbbcdcaf65e1d842a
             ghc-boot-8.2.1=7044bf9b6422e92148aa6bfa0e68c08a
             ghc-boot-th-8.2.1=a04a9ea8105f1372cb40d93d2230364b
             ghci-8.2.1=9fba265848d57bee4ea9c122e35c2c9d
             hoopl-3.10.2.2=4534dffcaf2e33d2cb444e9fd6d1ec5d
             unix-2.7.2.2=7af8630098b53e228272ffaea5bacf62
             terminfo-0.4.1.0=8644ddbf3a910c8572272110dcb45e84
haddock-interfaces: /usr/share/doc/ghc/html/libraries/ghc-8.2.1/ghc.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/ghc-8.2.1
